\name{affy.mva}
\alias{affy.mva}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{ M vs. A plot for affy}
\description{
This function produces a scatter plot of log
intensity ratios \eqn{M = log_2(pm_j/pm_i)} versus average log intensities
\eqn{A = log_2 \sqrt{pm_j*pm_i}} and fits a smooth curve using. It can use
the pm, mm, or both.
\code{\link{loess}}}. 
}
\usage{
affy.mva(x, xcol=1, ycol=1, pm=T, mm=T, subset=NULL, sample.size=10000,
loess.it=F, span=1/3, return.it=F, plot.it=T, xlab="A", ylab="M",
main="", pch=".", pm.col=3, mm.col=2, line.col=par()$col, lty=1,
cex=1, family.loess="symmetric")
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{x}{ an \code{\link{affy.object}}}
  \item{xcol}{column representing chip for the denominator in the ratio.}
  \item{ycol}{column representing chip for the numerator in ratio.}
  \item{pm}{logical. If `TRUE' it used the pm.}
  \item{mm}{logical. If `TRUE' it used the mm.}}
  \item{subset}{a numberical vector denoritng the index of the probe
    pairs to use.} 
  \item{sample.size}{size of sample to be plotted.}
  \item{loess.it}{logical. If `TRUE' a smooth function is computed using
  \code{\link{loess}}
  \item{span}{the span used by \code{\link{loess}}}
  \item{return.it}{logical. If `TRUE' the loess fit is returned. Notice
    the loess fit is in the log scale.}
 \item{plot.it}{logical. If `TRUE' a plot is made.}
  \item{xlab}{text for the x axis.}
  \item{ylab}{text for the y axis.}
  \item{main}{text for the title.}
  \item{pch}{ either an integer specifying a symbol or a single character
    to be used as the default in plotting points.}
  \item{pm.col}{color for pm.}
  \item{mm.col}{color for mm.}
  \item{line.col}{color for loess curve.}
 \item{lty}{the line type}
  \item{cex}{a numerical value giving the amount by which plotting text
          and symbols should be scaled relative to the default.}
  \item{family.loess}{"guassian" or "symmetric" as in \code{\link{loess}}}
}
\details{M vs. A plots tend to be more revealing than their log y
vs. log x counterparts in terms of identifying detecting intensity
dependent patterns in the log ratios of, for example, pm and mm values.
They are also very useful for normalization
}
\value{If \code{return.it} is `TRUE' it returns the loess fit in the log scale.}
\references{S. Dudoit, Y. H. Yang, M. J. Callow, and T. P. Speed. Statistical
methods for identifying deferentially expressed genes in replicated
cDNA microarray experiments (Statistics, UC Berkeley, Tech Report \#
578) }
\author{Rafael A. Irizarry}

