\name{affy.object}
\alias{affy.object}

\title{Affymetrix information object }
\description{Object containing all pertinent information about probe
  pairs.
}
\details{\code{affy.object}s are created by \code{\link{read.affy}} and
  are expected as arguments by many of the functions in this package.}
\value{
   \code{affy.object}s are lists with the following components
  (components starting with \code{control} are only returned if \code{keep.control=T}): 
   \item{nchips}{number of chips.}
  \item{nprob}{number of probe pairs.}
  \item{probe.names}{a characater vector of length \code{nprob} with the
    probe names for each probe pair.}
  \item{pm}{a \code{nprob} by \code{nchips} matrix with the pm intensities.}
  \item{mm}{a \code{nprob} by \code{nchips} matrix with the mm intensities.}
  \item{chip.names}{a character vector of length nchips with the names
    of each chip.}
  \item{probe.number}{the probe number for each probe} 
  \item{x}{a vector containing the row number of the pm, for each
    probe pair, on the chips.}
  \item{y}{a vector containing the column number of the pm, for each
    probe pair, on the chips.}
  \item{ncol}{the number of rows on the chips.}
  \item{nrow}{the number of columns on the chips.}
}
\notes{An "extended" \code{affy.object} will also contain:
\item{control.names}{character vector with the names of the control
    probes.}
  \item{control.values}{ a \code{nprob} by \code{nchips} matrix with
    the intensities.}
  \item{control.x}{a vector containing the row number of the controls.}
  \item{control.y}{a vector containing the column number of the controls.}
  \item{control.probe.numbers}{probe numbers for control}
}
\references{ Affymetrix (1999) Gene Chip Analysis Suite User Guide
  (Affymetrix, Santa Clara)}
\author{Rafael A. Irizarry}
\seealso{\code{\link{convert.affy}},\code{\link{read.affy}}}





