\name{exp.comp}
\alias{exp.comp}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Compute expression values}
\description{Computes expression using eight different definitions}
}
\usage{
exp.comp(x, verbose=F)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{x}{an \code{\link{affy.object}}}
  \item{verbose}{logical; if `TRUE' messages describing
    how much of the work is done is displayed.}
}
\details{
  This function computes expression for all probe sets in each chip
  using eight
  different definitions. The average difference of \code{pm - mm}, the 
  fitted theta form Li and Wong's model (no outlier removal is done), the
  average log ratio, the average of \code{log2(pm) - 0.5*log2(mm)} as used
  in Efron et. al., the second largest log ratio, the average
  \code{log2(pm)} (i.e. this ignores the \code{mm}), the second largest
  \code{log2(pm)}, the fitted theta from Li and Wong's model ignoring the
  \code{mm}. The \code{dimnames} of the arrays returned contains the names
  of the expression definitions, the probe names, and the chip names.}
\value{An array with dimensions representing expression definition,
  probe set, and chip.}
}
\references{Li, C. and Wong, W.H. (2001) Genome Biology 2, 1-11,
  Li, C. and Wong, W.H. (2001) Proc. Natl. Acad. Sci USA 98, 31-6,
Affymetrix (1999) Gene Chip Analysis Suite User Guide (Affymetrix, Santa Clara)
}
\author{Rafael A. Irizarry}

