\name{normalize}
\alias{normalize}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Normalize arrays}
\description{
This function treats pm and mm as the raw data on each chip. It fits
loess curves to mva plots and tries to
normalize the chips with respect to each other by forcing log ratios to
be scattered around the same constant.}
\usage{
normalize(mat, sample.size=min(round(dim(mat)[1]/10), 10000), epsilon=10^-5, maxit=3, log.it=T, verbose=F, span=1/3, family.loess="symmetric")
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{mat}{ A matrix with columns containing the values of the chips
    to normalize on the}
  \item{sample.size}{the sample size of the data to fit a loess to.}
  \item{epsilon}{small value used for the stopping criterion.}
  \item{maxit}{maximum number of iterations.}
  \item{log.it}{logical. If `TRUE' it takes the log2 of \code{mat}}
  \item{verbose}{logical. If `TRUE' displays current pair of chip being
    worked on.}
  \item{span}{span to be used by loess}
  \item{family.loess}{"gaussian" or "symmetric" as in \code{\link{loess}}}
}
\details{
This function is not written in an efficient way. In order to make it
faster, loess is fit to a sample of the data which we then use to
predict the curve for all the data.}

\value{A list with components
  \item{fitted}{the fitted corrections for each chip.}
  \item{residuals}{the corrected chips.}
}
\author{Rafael A. Irizarry}
