\name{plot.mva}
\alias{plot.mva}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{M vs. A plot}
\description{
This function produces a scatter plot of log
intensity ratios \eqn{M = log_2(y/x)} versus average log intensities
\eqn{A = log_2 \sqrt{xy}} and fits a smooth curve using \code{\link{loess}}}.
\usage{plot.mva(x, y, log.it=F, loess.it=F, span=1/3, return.it=F,
plot.it=T, xlab="A", ylab="M",
main="", pch=".", col=1, line.col=2, lty=1, cex=1, family.loess="symmetric")
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{x}{a numerical vector to be put in the denominator of the ratio.}
  \item{y}{a numerical vector to be put in the numerator of the ratio}
  \item{log.it}{ logical. If `FALSE' it is assumed that x and y are
    already in the log scale and logs are not taken.}
  \item{loess.it}{logical. If `TRUE' a smooth function is computed using
  \code{\link{loess}}.}
  \item{span}{the span used by \code{\link{loess}}}
  \item{return.it}{logical. If `TRUE' the loess fit is returned. Notice
    the loess fit is in the log scale.}
  \item{plot.it}{logical. If `TRUE' a plot is made.}
  \item{xlab}{text for the x axis.}
  \item{ylab}{text for the y axis.}
  \item{main}{text for the title.}
  \item{pch}{ either an integer specifying a symbol or a single character
    to be used as the default in plotting points.}
  \item{col}{ a specification for the default plotting color.  A
          description of how colors are specified is given below.}
  \item{line.col}{color to be used for line.}
  \item{lty}{the line type}
  \item{cex}{a numerical value giving the amount by which plotting text
          and symbols should be scaled relative to the default.}
  \item{family.loess}{"guassian" or "symmetric" as in \code{\link{loess}}}
}
\details{M vs. A plots tend to be more revealing than their log y
vs. log x counterparts in terms of identifying detecting intensity
dependent patterns in the log ratios of, for example, pm and mm values.
They are also very useful for normalization
}
\value{If \code{return.it} is `TRUE' it returns the loess fit in the log scale.}
\references{S. Dudoit, Y. H. Yang, M. J. Callow, and T. P. Speed. Statistical
methods for identifying deferentially expressed genes in replicated
cDNA microarray experiments (Statistics, UC Berkeley, Tech Report \#
578) }
\author{Rafael A. Irizarry}

